### Method

# Pango Layout get_lines

#### Declaration [src]

    GSList*
    pango_layout_get_lines (
      PangoLayout* layout
    )

#### Description [src]

Returns the lines of the `layout` as a list.

Use the faster `pango_layout_get_lines_readonly()` if you do not plan to modify the contents of the lines (glyphs, glyph widths, etc.).

#### Return value

Type: A list of `PangoLayoutLine*`

A `GSList` containing the lines in the layout. This points to internal data of the `PangoLayout` and must be used with care. It will become invalid on any change to the layout’s text or properties.

The returned data is owned by the instance.